# ACE_Acquire_Method Namespace Reference

An enum namespace. More...

## Enumerations

enum | METHOD_TYPE { ACE_REGULAR, ACE_READ, ACE_WRITE }

## Detailed Description

An enum namespace.

These enums should have been inside the reverse lock class, but some lame compilers cannot handle enums inside template classes.

The METHOD_TYPE is used to indicate which acquire() method will be called on the real lock when the release() method is called on the reverse lock. REGULAR indicated the acquire() method, READ indicates the acquire_read() method, and WRITE indicates the acquire_write() method. Note that the try_*() methods are not represented here because we have to make sure that the release() method on the reverse lock acquires a lock on the real lock.

## Enumeration Type Documentation

enum METHOD_TYPE

Enumeration values:

  ACE_REGULAR |
  ACE_READ |
  ACE_WRITE |